Bug Hunting Session
Bug 59117 - Cell Borders of last(Right most) coumn is missing in RTL Table in impress
Summary: Cell Borders of last(Right most) coumn is missing in RTL Table in impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Karthikeyan Krishnamurthi
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on: 42387
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-01-08 07:04 UTC by Karthikeyan Krishnamurthi
Modified: 2013-03-14 16:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots for missing borders of rightmost column in RTL Table in impress (346.22 KB, image/png)
2013-01-08 07:04 UTC, Karthikeyan Krishnamurthi
Details
RTL table with borders missing in last column (177.53 KB, image/png)
2013-01-27 05:58 UTC, Ahmad Harthi
Details
LTR table with visible borders (176.83 KB, image/png)
2013-01-27 05:59 UTC, Ahmad Harthi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Krishnamurthi 2013-01-08 07:04:04 UTC
Created attachment 72665 [details]
Screenshots for missing borders of rightmost column in RTL Table in impress

When we select the whole table and change its orientation from LTR to RTL,  the borders(Top,right,bottom) of the rightmost column is missing/invisible.

How to reproduce.
1. Open Libreoffice impress
2. Insert table by Insert -> Table -> give row column values -> ok
3. Select the whole table & change the orientation from LTR to RTL
4. Now we can notice that the borders of the right most column is missing/invisible.
Comment 1 Karthikeyan Krishnamurthi 2013-01-20 05:12:10 UTC
I am Working on this bug.
Comment 2 Ahmad Harthi 2013-01-27 05:58:35 UTC
Created attachment 73712 [details]
RTL table with borders missing in last column
Comment 3 Ahmad Harthi 2013-01-27 05:59:22 UTC
Created attachment 73713 [details]
LTR table with visible borders
Comment 4 Karthikeyan Krishnamurthi 2013-01-29 05:22:19 UTC
I fixed the bug, it works fine.  But, gerrit bot reports build failed while building with windows :(.  Moreover, The patch is not verified yet(except the verification by gerrit build bot) still in gerrit open status.

If some wish to test the patch here it is..  https://gerrit.libreoffice.org/#/c/1834/
Comment 5 Not Assigned 2013-01-29 06:51:05 UTC
karth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c200d85cdbece5c65b35211644f1e98491f307a

Resolves the bug fdo#59117 missing borders of last column



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Lior Kaplan 2013-02-03 19:11:07 UTC
verified on master, some cell issue are still present on merge.
Comment 7 Commit Notification 2013-03-14 16:35:26 UTC
karth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d87160b888fe476d179982cbb297cf0e70632f3a&h=libreoffice-4-0

Resolves the bug fdo#59117 missing borders of last column


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.